cURL
curl --request POST \
--url https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"end_time": "<string>",
"facility_id": "<string>",
"order_id": "<string>",
"provider_id": "<string>",
"slot_id": "<string>",
"start_time": "<string>",
"transaction_id": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/update"
payload = {
"end_time": "<string>",
"facility_id": "<string>",
"order_id": "<string>",
"provider_id": "<string>",
"slot_id": "<string>",
"start_time": "<string>",
"transaction_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
end_time: '<string>',
facility_id: '<string>',
order_id: '<string>',
provider_id: '<string>',
slot_id: '<string>',
start_time: '<string>',
transaction_id: '<string>'
})
};
fetch('https://api.eka.care/abdm/uhi/v1/physical-consultation/booking/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"order_id": "<string>",
"provider_id": "<string>",
"txn_id": "<string>"
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Physical Consultation
Update
Update the details of a physical consultation appointment.
POST
/
abdm
/
uhi
/
v1
/
physical-consultation
/
booking
/
update
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
application/json
Updated end time of the appointment (24H format, ISO 8601 supported)
Unique identifier of the facility where the appointment will take place
Unique identifier of the order to be updated
Unique identifier of the healthcare provider or hospital
Unique identifier of the new slot to be updated
Updated start time of the appointment (24H format, ISO 8601 supported)
Unique transaction identifier associated with the order, received in the previous api response
Was this page helpful?
⌘I

